<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Buttons</title>
</head>
<style>
  body {
    margin: 0;
    font-family: Arial, Helvetica, sans-serif;
  }

  .topnav {
    overflow: hidden;
    background-color: #333;
  }

  .topnav a {
    float: left;
    color: #f2f2f2;
    text-align: center;
    padding: 14px 16px;
    text-decoration: none;
    font-size: 17px;
  }

  .topnav a:hover {
    background-color: #ddd;
    color: black;
  }

  /* Create a right-aligned (split) link inside the navigation bar */
  .topnav a.split {
    float: right;
    background-color: #04AA6D;
    color: white;
  }

  /* Style the tab */
  .tab {
    overflow: hidden;
    border: 1px solid #ccc;
    background-color: #f1f1f1;
  }

  /* Style the buttons inside the tab */
  .tab button {
    background-color: inherit;
    float: left;
    border: none;
    outline: none;
    cursor: pointer;
    padding: 14px 16px;
    transition: 0.3s;
    font-size: 17px;
  }

  /* Change background color of buttons on hover */
  .tab button:hover {
    background-color: #ddd;
  }

  /* Create an active/current tablink class */
  .tab button.active {
    background-color: #ccc;
  }

  /* Style the tab content */
  .tabcontent {
    display: none;
    padding: 6px 12px;
    border: 1px solid #ccc;
    border-top: none;
  }

  .btn {
    border: none;
    color: white;
    padding: 14px 28px;
    font-size: 16px;
    cursor: pointer;
  }

  .success {
    background-color: #04AA6D;
  }

  /* Green */
  .success:hover {
    background-color: #46a049;
  }

  .info {
    background-color: #2196F3;
  }

  /* Blue */
  .info:hover {
    background: #0b7dda;
  }

  .warning {
    background-color: #ff9800;
  }

  /* Orange */
  .warning:hover {
    background: #e68a00;
  }

  .danger {
    background-color: #f44336;
  }

  /* Red */
  .danger:hover {
    background: #da190b;
  }

  .default {
    background-color: #e7e7e7;
    color: black;
  }

  /* Gray */
  .default:hover {
    background: #ddd;
  }

  #pageContent {
    padding-left: 1%;
    padding-right: 1%;
  }

  .buttonaaa {
    background-color: #2196F3;
    color: white;
    padding: 16px;
    font-size: 16px;
    border: none;
    outline: none;
  }

  .dropdown {
    position: absolute;
    display: inline-block;
  }

  .dropdown-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    z-index: 1;
  }

  .dropdown-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
  }

  .dropdown-content a:hover {
    background-color: #ddd
  }

  .dropdown:hover .dropdown-content {
    display: block;
  }
  }

  .btn:hover,
  .dropdown:hover .btn {
    background-color: #0b7dda;
  }

  .active,
  .buto:hover {
    background-color: #666;
    color: white;
  }

  .buto {
    border: none;
    outline: none;
    padding: 10px 16px;
    background-color: green;
    cursor: pointer;
    font-size: 18px;
    color: orange;
  }
</style>
</head>

<body>
  <div class="topnav">
         <a href="Home.html">Home</a>
    <a href="tabs.html">Tabs</a>
    <a href="buttons.html">Buttons</a>
    <a href="tables.html">Tables</a>
    <a href="modals.html">Modals</a>
    <a href="progress.html">Progess Bar</a>
    <a href="todo.html">TODO list</a>
	<a href="windows.html">Windows</a>
    <a href="index.html" class="split">Sign Out</a>
  </div>
  <div id="pageContent">
    <h1>Alert Buttons</h1>
    <div id="buttons">
      <button onclick="displayClickedButton('Success')" class="btn success">Success</button>
      <button onclick="displayClickedButton('Info')" class="btn info">Info</button>
      <button onclick="displayClickedButton('Warining')" class="btn warning">Warning</button>
      <button onclick="displayClickedButton('Danger')" class="btn danger">Danger</button>
      <button onclick="displayClickedButton('Default')" class="btn default">Default</button>
      <button class="buttonaaa">Dropdown button</button>
      <div class="dropdown">
        <button class="buttonaaa" style="border-left:1px solid #0d8bf2">
          <span style="background-color: white;">
            <p>|</p>
          </span>
        </button>
        <div class="dropdown-content">
          <a onclick="displayClickedButton('Dropdown Option 1')" href="#">Option 1</a>
          <a onclick="displayClickedButton('Dropdown Option 2')" href="#">Option 2</a>
          <a onclick="displayClickedButton('Dropdown Option 3')" href="#">Option 3</a>
        </div>
      </div>
    </div>
	<div id="anotherDropdown">
	  <label for="cars">Choose a car:</label>
  <select name="cars" id="cars">
    <option value="volvo">Volvo</option>
    <option value="saab">Saab</option>
    <option value="opel">Opel</option>
    <option value="audi">Audi</option>
	<option value="ferrari">Ferarri</option>
  </select>
	</div>
    <h1>Active Button</h1>
    <p>Highlight the active/current (pressed) button.</p>

    <div id="myDIV">
      <button onclick="disableButton()" id="buttonOne">Text of Disable Enable Button</button>
      <button onclick="disableButton()" >Text of Button which print "Button is disabled"</button>
      <input type="checkbox" id="buttonThree" name="butnThree" value="CheckboxTest">
	  <label for="butnThree"> Text of Checkbox button</label><br>
     
    </div>


  </div>


</body>
<script>
function disableButton() {
  document.getElementById("buttonOne").disabled = true;
  console.log("Button is disabled");
}

  function displayClickedButton(buttonName) {
    let newParagraph = document.createElement("p");
    let textParagraph = document.createTextNode("You clicked on button with name " + buttonName);
    newParagraph.appendChild(textParagraph);

    let buttonsDiv = document.getElementById("buttons");
    buttonsDiv.appendChild(newParagraph);
  }
  var header = document.getElementById("myDIV");
  var btns = header.getElementsByClassName("buto");
  for (var i = 0; i < btns.length; i++) {
    btns[i].addEventListener("click", function () {
      var current = document.getElementsByClassName("active");
      current[0].className = current[0].className.replace(" active", "");
      this.className += " active";
    });
  }
</script>

</html>